routes/web.php
<?php

use App\Http\Controllers\Admin\AdminPagesController;
use App\Http\Controllers\Admin\CarsController;
use App\Http\Controllers\Admin\ArticlesController;
use App\Http\Controllers\ArticlesController as BaseArticles;
use App\Http\Controllers\BasketController;
use App\Http\Controllers\CallbackController;
use App\Http\Controllers\CatalogController;
use App\Http\Controllers\Manager\ManagerPagesController;
use App\Http\Controllers\OrdersController;
use App\Http\Controllers\PagesController;
use App\Http\Controllers\ProfileController;
use App\Http\Controllers\SalonsController;
use App\Http\Controllers\ServiceController;
use App\Http\Controllers\TestDriveController;
use Illuminate\Routing\Router;
use Illuminate\Support\Facades\Route;

Route::get('/', [PagesController::class, 'homepage'])->name('home');

Route::get('/about', [PagesController::class, 'about'])->name('about');

Route::get('/catalog/{slug?}', [CatalogController::class, 'catalog'])->name('catalog');
Route::get('/products/{car:id}', [CatalogController::class, 'product'])->name('product');

Route::get('/salons', [SalonsController::class, 'index'])->name('salons.index');

Route::get('/basket', [BasketController::class, 'show'])->name('basket');
Route::post('/basket', [BasketController::class, 'addProduct'])->name('basket.addProduct');
Route::delete('/basket/deleteProduct/', [BasketController::class, 'deleteProduct'])->name('basket.deleteProduct');
Route::delete('/basket/removeProduct', [BasketController::class, 'removeProduct'])->name('basket.removeProduct');

Route::get('/callback', [CallbackController::class, 'show'])->name('callback.show');
Route::post('/callback', [CallbackController::class, 'store'])->name('callback.store');
Route::post('/callback/{id}', [CallbackController::class, 'update'])->name('callback.update');

Route::get('/test-drive', [TestDriveController::class, 'show'])->name('test-drive.show');
Route::post('/test-drive', [TestDriveController::class, 'store'])->name('test-drive.store');

Route::get('/service', [ServiceController::class, 'show'])->name('service.show');

Route::middleware('auth')->group(function () {
    Route::get('/basket', [BasketController::class, 'show'])->name('basket');
    Route::post('/basket', [BasketController::class, 'addProduct'])->name('basket.addProduct');
    Route::delete('/basket/deleteProduct/', [BasketController::class, 'deleteProduct'])->name('basket.deleteProduct');
    Route::delete('/basket/removeProduct', [BasketController::class, 'removeProduct'])->name('basket.removeProduct');
});

Route::get('/articles', [BaseArticles::class, 'index'])->name('articles.index');
Route::get('/articles/{slug}', [BaseArticles::class, 'show'])->name('articles.show');

Route::prefix('admin')
    ->name('admin.')
    ->middleware(['auth', 'role:admin'])
    ->group(function (Router $router) {
        $router->get('/', [AdminPagesController::class, 'admin'])->name('admin');
        $router->resource('cars', CarsController::class)->except(['show']);
        $router->resource('articles', ArticlesController::class)->except(['show']);
    })
;

Route::prefix('test-drive')
    ->name('manager.test-drive.')
    ->middleware(['auth', 'role:manager'])
    ->group(function (Router $router) {
        $router->post('/{id}', [TestDriveController::class, 'update'])->name('update');
        $router->get('/{id}/edit', [TestDriveController::class, 'edit'])->name('edit');
        $router->delete('/{id}', [TestDriveController::class, 'destroy'])->name('destroy');
    })
;

Route::middleware('auth')->group(function () {
    Route::get('/profile', [ProfileController::class, 'edit'])->name('profile.edit');
    Route::patch('/profile', [ProfileController::class, 'update'])->name('profile.update');
    Route::delete('/profile', [ProfileController::class, 'destroy'])->name('profile.destroy');
    Route::post('/profile/orders', [OrdersController::class, 'store'])->name('orders.create');
});

Route::prefix('manager')
    ->name('manager.')
    ->middleware(['auth', 'role:manager'])
    ->group(function (Router $router) {
        $router->get('/', [ManagerPagesController::class, 'manager'])->name('manager');
    })
;

require __DIR__.'/auth.php';

resources/views/pages/admin/admin.blade.php
<x-layouts.admin
    page-title="Управление сайтом"
    title="Управление сайтом"
>
    <section class="pb-4">
        <div class="grid grid-cols-1 lg:grid-cols-2 xl:grid-cols-4 gap-6">
            <div class="bg-white w-full border border-gray-100 rounded overflow-hidden shadow-lg hover:shadow-2xl pt-4">
                <a class="flex w-full h-40 text-orange justify-center hover:opacity-75" href="{{ route('admin.cars.index') }}">
                    <svg xmlns="http://www.w3.org/2000/svg" class="h-40 w-40" fill="none" viewBox="0 0 24 24" stroke="currentColor" stroke-width="1">
                        <path d="M9 17a2 2 0 11-4 0 2 2 0 014 0zM19 17a2 2 0 11-4 0 2 2 0 014 0z" />
                        <path stroke-linecap="round" stroke-linejoin="round" d="M13 16V6a1 1 0 00-1-1H4a1 1 0 00-1 1v10a1 1 0 001 1h1m8-1a1 1 0 01-1 1H9m4-1V8a1 1 0 011-1h2.586a1 1 0 01.707.293l3.414 3.414a1 1 0 01.293.707V16a1 1 0 01-1 1h-1m-6-1a1 1 0 001 1h1M5 17a2 2 0 104 0m-4 0a2 2 0 114 0m6 0a2 2 0 104 0m-4 0a2 2 0 114 0" />
                    </svg>
                </a>
                <div class="px-6 py-4 text-center">
                    <div class="text-black font-bold text-xl mb-2"><a class="hover:text-orange" href="{{ route('admin.cars.index') }}">Управление моделями</a></div>
                </div>
            </div>
            <div class="bg-white w-full border border-gray-100 rounded overflow-hidden shadow-lg hover:shadow-2xl pt-4">
                <a class="flex w-full h-40 text-orange justify-center hover:opacity-75" href="{{ route('admin.articles.index') }}">
                    <svg xmlns="http://www.w3.org/2000/svg" class="h-40 w-40" fill="none" viewBox="0 0 24 24" stroke="currentColor" stroke-width="1">
                        <path stroke-linecap="round" stroke-linejoin="round" d="M19 20H5a2 2 0 01-2-2V6a2 2 0 012-2h10a2 2 0 012 2v1m2 13a2 2 0 01-2-2V7m2 13a2 2 0 002-2V9a2 2 0 00-2-2h-2m-4-3H9M7 16h6M7 8h6v4H7V8z" />
                    </svg>
                </a>
                <div class="px-6 py-4 text-center">
                    <div class="text-black font-bold text-xl mb-2"><a class="hover:text-orange" href="{{ route('admin.articles.index') }}">Управление новостями</a></div>
                </div>
            </div>
        </div>
    </section>
</x-layouts.admin>